JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const mcpServer = await client.mcpServer.update('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(mcpServer.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
mcp_server = client.mcp_server.update(
server_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(mcp_server.data)curl --request PATCH \
--url https://api.roark.ai/v1/connections/mcp-server/{serverId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"auth": {
"type": "NONE"
}
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.roark.ai/v1/connections/mcp-server/{serverId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'label' => '<string>',
'auth' => [
'type' => 'NONE'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.roark.ai/v1/connections/mcp-server/{serverId}"
payload := strings.NewReader("{\n \"label\": \"<string>\",\n \"auth\": {\n \"type\": \"NONE\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.roark.ai/v1/connections/mcp-server/{serverId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"label\": \"<string>\",\n \"auth\": {\n \"type\": \"NONE\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.roark.ai/v1/connections/mcp-server/{serverId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"label\": \"<string>\",\n \"auth\": {\n \"type\": \"NONE\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "CRM",
"url": "https://mcp.example.com/mcp",
"transport": "STREAMABLE_HTTP",
"authType": "NONE",
"authHeaderName": "<string>",
"directoryKey": "<string>",
"serverName": "<string>",
"serverVersion": "<string>",
"instructions": "<string>",
"tools": [
{
"name": "search_customers",
"description": "<string>",
"suggestedName": "<string>",
"readOnly": true,
"unavailableReason": "<string>"
}
],
"catalogHash": "<string>",
"boundTools": [
{
"toolDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"remoteToolName": "<string>",
"offered": true
}
],
"lastDiscoveredAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"type": "validation",
"code": "invalid_parameter",
"message": "The request was invalid",
"param": "email"
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "not_found",
"code": "resource_not_found",
"message": "The requested resource could not be found"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}MCP servers
Update an MCP server
Renames the server or replaces its credential. A new credential is checked by connecting with it first; one the server refuses returns 400 and changes nothing.
PATCH
/
v1
/
connections
/
mcp-server
/
{serverId}
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const mcpServer = await client.mcpServer.update('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(mcpServer.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
mcp_server = client.mcp_server.update(
server_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(mcp_server.data)curl --request PATCH \
--url https://api.roark.ai/v1/connections/mcp-server/{serverId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"auth": {
"type": "NONE"
}
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.roark.ai/v1/connections/mcp-server/{serverId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'label' => '<string>',
'auth' => [
'type' => 'NONE'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.roark.ai/v1/connections/mcp-server/{serverId}"
payload := strings.NewReader("{\n \"label\": \"<string>\",\n \"auth\": {\n \"type\": \"NONE\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.roark.ai/v1/connections/mcp-server/{serverId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"label\": \"<string>\",\n \"auth\": {\n \"type\": \"NONE\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.roark.ai/v1/connections/mcp-server/{serverId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"label\": \"<string>\",\n \"auth\": {\n \"type\": \"NONE\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "CRM",
"url": "https://mcp.example.com/mcp",
"transport": "STREAMABLE_HTTP",
"authType": "NONE",
"authHeaderName": "<string>",
"directoryKey": "<string>",
"serverName": "<string>",
"serverVersion": "<string>",
"instructions": "<string>",
"tools": [
{
"name": "search_customers",
"description": "<string>",
"suggestedName": "<string>",
"readOnly": true,
"unavailableReason": "<string>"
}
],
"catalogHash": "<string>",
"boundTools": [
{
"toolDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"remoteToolName": "<string>",
"offered": true
}
],
"lastDiscoveredAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"type": "validation",
"code": "invalid_parameter",
"message": "The request was invalid",
"param": "email"
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "not_found",
"code": "resource_not_found",
"message": "The requested resource could not be found"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}Authorizations
Body
application/json